Enable Response Target

Enables the specified response target configuration.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

POST /api/sonar/response-targets/:guid/enable
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST \
     https://HOSTNAME/api/sonar/response-targets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/enable
Request Parameters
Path Parameters
KeyTypeDescriptionNote
guidStringResponse target configuration GUID36-character GUID

Success Response

{}

Error Responses

guid is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
Specified response target configuration does not exist

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "response target not found: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}